Subject: Re: [Sip] GRUU and Anonymity

From: Cullen Jennings <[email-masked]>
Date: Tue, 3 Oct 2006 20:52:29 -0700

I agree with Jonathan here and I will add that in many practical  
cases, the IP addresses are somewhat changing via DHCP - in these  
cases the IP address usually does not locate a UA down to a  
individual person level. In 3261 today, you might get a call that is  
Anonymous but has an IP traceable to comcast in Bay area. Now I admit  
you can construct cases where you only know one person who lives in  
the US so that identifies the person but for the most part, this  
level of protection does a much better than nothing job of protecting  
who the exact individual is.

I wish we had something better than 3261, and I think we should keep  
working on something better, but given how difficult it is, I am  
perfectly happy if we can make sure that GRUU is not worse than 3261  
and get it finished.

Cullen

On Sep 28, 2006, at 2:44 PM, Jonathan Rosenberg wrote:

>
>
> [email-masked] wrote:
>
>> Jonathan,
>> In that case, I personally would prefer to do it properly in a  
>> separate draft, and for GRUU say something like: "GRUU provides  
>> the equivalent of a fixed public IP address.
>
> But its worse than that. Today, it will give you a GRUU which is  
> personally identifying you. An IP address is more of a pseudonym  
> and is useful primary as a correlator. Thats the issue; GRUU makes  
> things WORSE than rfc3261.
>
>
>> All privacy issues associated with the use of such an address also  
>> apply to GRUUs. If additional privacy protection is required, it  
>> is recommended to use a privacy service [ref]"
>
> While we could merely suggest usage of a privacy service, it would  
> imply that a b2bua function is required for any kind of anonymity  
> services with gruu enabled. That is a tough pill to swallow.
>
>> I don't see much added value in providing something that addresses  
>> the issues "kind of half". By adding a relatively simple feature  
>> now, we would create complexity in terms of the number of  
>> available options/alternatives later.
>
> Its not 'kind of half' - its addressing them exactly like RFC 3261  
> does.
>
> -Jonathan R.
>
>
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ  
> 07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip